% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/HDIofMCMC.R
\name{HDIofMCMC}
\alias{HDIofMCMC}
\title{Compute Highest-Density Interval}
\usage{
HDIofMCMC(sampleVec, credMass = 0.95)
}
\arguments{
\item{sampleVec}{A vector of representative values from a probability distribution (e.g., MCMC samples).}

\item{credMass}{A scalar between 0 and 1, indicating the mass within the credible interval that is to be estimated.}
}
\value{
A vector containing the limits of the HDI
}
\description{
Computes the highest density interval from a sample of representative values,
estimated as shortest credible interval.
Based on John Kruschke's codes.
}
